# _v4l2_ctrl_video_qp_range Struct Reference
[V4L2 Video Encoder]

Holds the encoder frame min/max QP parameters. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

__u32 | MinQpI
| Minimum QP value for I frame.
__u32 | MaxQpI
| Maximum QP value for I frame.
__u32 | MinQpP
| Minimum QP value for P frame.
__u32 | MaxQpP
| Maximum QP value for P frame.
__u32 | MinQpB
| Minimum QP value for B frame.
__u32 | MaxQpB
| Maximum QP value for B frame.

## Detailed Description

Holds the encoder frame min/max QP parameters.

Should be used with V4L2_CID_MPEG_VIDEOENC_QP_RANGE ioctl.

Definition at line 1145 of file v4l2_nv_extensions.h.

## Member Data Documentation

__u32 _v4l2_ctrl_video_qp_range::MaxQpB

Maximum QP value for B frame.

Definition at line 1158 of file v4l2_nv_extensions.h.

__u32 _v4l2_ctrl_video_qp_range::MaxQpI

Maximum QP value for I frame.

Definition at line 1150 of file v4l2_nv_extensions.h.

__u32 _v4l2_ctrl_video_qp_range::MaxQpP

Maximum QP value for P frame.

Definition at line 1154 of file v4l2_nv_extensions.h.

__u32 _v4l2_ctrl_video_qp_range::MinQpB

Minimum QP value for B frame.

Definition at line 1156 of file v4l2_nv_extensions.h.

__u32 _v4l2_ctrl_video_qp_range::MinQpI

Minimum QP value for I frame.

Definition at line 1148 of file v4l2_nv_extensions.h.

__u32 _v4l2_ctrl_video_qp_range::MinQpP

Minimum QP value for P frame.

Definition at line 1152 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h